> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mayar.id/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.mayar.id/_mintlify/feedback/mayar/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# Get Installment Detail

> Endpoint used to view details and status of installment that have been created

<RequestExample>
  ```bash Request Example theme={null}
  curl --request GET 'https://api.mayar.id/hl/v1/installment/ba82c2dd-06c1-4b6c-bc59-a9c00801c842' \
  --header 'Authorization: Bearer Paste-Your-API-Key-Here' \
  --data ''
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example 200 theme={null}
  {
      "statusCode": 200,
      "messages": "Success",
      "data": {
          "id": "ba82c2dd-06c1-4b6c-bc59-a9c00801c842",
          "createdAt": 1755631209521,
          "period": "MONTHLY",
          "tenure": 3,
          "dueDate": 11,
          "interest": 0,
          "interestType": "FLAT",
          "paymentLinkId": "8f722421-e8fd-4d05-ae0c-5f4a224b7923",
          "updatedAt": 1755631209521,
          "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
          "paymentLink": {
              "id": "8f722421-e8fd-4d05-ae0c-5f4a224b7923",
              "name": "Azumii",
              "amount": 1500000,
              "description": "Cicil Produk Kelas Online 3 Bulan",
              "customerId": "62d1a396-07d8-4d93-a14c-9ec801f3af20"
          },
          "invoices": [
              {
                  "id": "9fe1b9c4-b5d5-4d45-bf1a-5c4849631725",
                  "expiredAt": 1757523600000,
                  "amount": 500000,
                  "category": null,
                  "status": "unpaid",
                  "index": 1,
                  "link": "mkcn4u72ki",
                  "description": "Cicil Produk Kelas Online 3 Bulan",
                  "interestAmount": 0,
                  "remainingAmount": 1000000
              },
              {
                  "id": "977777d6-af25-464e-a8ca-e290b3007275",
                  "expiredAt": 1760115600000,
                  "amount": 500000,
                  "category": null,
                  "status": "unpaid",
                  "index": 2,
                  "link": "0ll429zxvsue",
                  "description": "Cicil Produk Kelas Online 3 Bulan",
                  "interestAmount": 0,
                  "remainingAmount": 500000
              },
              {
                  "id": "1dde3426-f6a4-43d2-a1d9-2cd2fa05eb9a",
                  "expiredAt": 1762794000000,
                  "amount": 500000,
                  "category": null,
                  "status": "unpaid",
                  "index": 3,
                  "link": "h8fiobqkek",
                  "description": "Cicil Produk Kelas Online 3 Bulan",
                  "interestAmount": 0,
                  "remainingAmount": 0
              }
          ]
      }
  }
  ```
</ResponseExample>

Endpoint:

<CodeGroup>
  ```Production Production theme={null}
  https://api.mayar.id/hl/v1/installment/{id}
  ```

  ```Sandbox Sandbox theme={null}
  https://api.mayar.club/hl/v1/installment/{id}
  ```
</CodeGroup>

## Authorization

<ResponseField name="Authorization" type="string" required>
  Example:

  `Authorization | Bearer Paste-Your-API-Key-Here`
</ResponseField>

## Path Parameter

<ParamField path="id" type="string" required>
  A unique identifier obtained when creating an installment. If accessed through the dashboard, it can be found at the URL on the installment details page.

  Example:

  `ba82c2dd-06c1-4b6c-bc59-a9c00801c842`
</ParamField>

## Response

Successful Response

### Main Structure (Root Object)

<ParamField path="statusCode" type="integer" required>
  Status code form API.
</ParamField>

<ParamField path="messages" type="string" required>
  Status message that describes the status code.
</ParamField>

<ParamField path="data" type="array of object">
  Main response data.
</ParamField>

### data Structure (Array Of Object)

<ParamField path="id" type="string" required>
  Main ID (UUID).
</ParamField>

<ParamField path="createdAt" type="integer" required>
  Creation time (timestamp in ms).
</ParamField>

<ParamField path="period" type="string" required>
  Installment period (example: `"MONTHLY"`).
</ParamField>

<ParamField path="tenure" type="integer" required>
  Installment duration (in months).
</ParamField>

<ParamField path="dueDate" type="integer" required>
  Due date value (example: `11`).
</ParamField>

<ParamField path="interest" type="integer" required>
  Interest value.
</ParamField>

<ParamField path="interestType" type="string" required>
  Type of interest (example: `"FLAT"`).
</ParamField>

<ParamField path="paymentLinkId" type="string<uuid>" required>
  Associated Payment Link ID.
</ParamField>

<ParamField path="updatedAt" type="integer" required>
  Last update time (timestamp in ms).
</ParamField>

<ParamField path="userId" type="string<uuid>" required>
  User ID.
</ParamField>

<ParamField path="paymentLink" type="array of object">
  Payment link details.
</ParamField>

<ParamField path="invoices" type="array of object">
  List of invoices.
</ParamField>

### PaymentLink Structure (Array Of Object)

<ParamField path="id" type="string<uuid>" required>
  Payment link ID.
</ParamField>

<ParamField path="name" type="string" required>
  Customer name for the payment link.
</ParamField>

<ParamField path="amount" type="integer" required>
  Total payment amount.
</ParamField>

<ParamField path="description" type="string" required>
  Description of the payment.
</ParamField>

<ParamField path="customerId" type="string<uuid>" required>
  Customer ID.
</ParamField>

### invoices Structure (Array Of Object)

<ParamField path="id" type="string<uuid>" required>
  Invoices ID.
</ParamField>

<ParamField path="expiredAt" type="integer" required>
  Expiration time of the installment created.
</ParamField>

<ParamField path="amount" type="integer" required>
  nvoice amount.
</ParamField>

<ParamField path="status" type="string | null" required>
  Invoice category.
</ParamField>

<ParamField path="status" type="string" required>
  Payment status (example: `"unpaid"`).
</ParamField>

<ParamField path="link" type="integer" required>
  IInvoice order number.
</ParamField>

<ParamField path="link" type="string" required>
  Unique invoice link.
</ParamField>

<ParamField path="description" type="string" required>
  Invoice description.
</ParamField>

<ParamField query="interestAmount" path="param" type="integer" required>
  Interest amount for the invoice.
</ParamField>

<ParamField path="remainingAmount" type="integer" required>
  Remaining balance for this invoice.
</ParamField>


Built with [Mintlify](https://mintlify.com).